﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Controls.Charting;

namespace wpf_Chart_ticket_503170
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            DateTime now = new DateTime(2012, 1, 20);
            var salesInfo1 = new List<SalesInfo>() 
            {
                new SalesInfo{ Date = now.AddDays(0), SalesCount = 40, CustomersCount = 20, }, 
                new SalesInfo{ Date = now.AddDays(1), SalesCount = 50, CustomersCount = 10, }, 
                new SalesInfo{ Date = now.AddDays(2), SalesCount = 55, CustomersCount = 30, }, 
                new SalesInfo{ Date = now.AddDays(3), SalesCount = 45, CustomersCount = 40, }, 
                new SalesInfo{ Date = now.AddDays(4), SalesCount = 35, CustomersCount = 20, }, 
                new SalesInfo{ Date = now.AddDays(5), SalesCount = 35, CustomersCount = 10, }, 
                new SalesInfo{ Date = now.AddDays(6), SalesCount = 40, CustomersCount = 25, }, 
                new SalesInfo{ Date = now.AddDays(7), SalesCount = 40, CustomersCount = 35, }, 
                new SalesInfo{ Date = now.AddDays(8), SalesCount = 50, CustomersCount = 50, }, 
                new SalesInfo{ Date = now.AddDays(9), SalesCount = 70, CustomersCount = 60, }, 
            };

            this.chartAreas = new List<ChartArea>() { chartArea0, chartArea1, };

            this.radChart1.ItemsSource = salesInfo1;
        }

        List<ChartArea> chartAreas; 

        void AxisX_RangeChanged(object sender, EventArgs e)
        {
            foreach (var area in this.chartAreas)
            {
                area.AxisX.MinValue = chartAreaMain.AxisX.ActualMinValue;
                area.AxisX.MaxValue = chartAreaMain.AxisX.ActualMaxValue;
            }
        }
    }

    public class SalesInfo
    {
        public DateTime Date { get; set; }
        public int SalesCount { get; set; }
        public int CustomersCount { get; set; }
    }
}
